Bug 956398 - (CVE-2013-3238) CVE-2013-3238 phpMyAdmin: remote code execution via preg_replace() (PMASA-2013-2)
CVE-2013-3238 phpMyAdmin: remote code execution via preg_replace() (PMASA-201...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130424,repor...
: Security
Depends On: 956403 956404 956405
Blocks: 950112
  Show dependency treegraph
 
Reported: 2013-04-24 17:42 EDT by Vincent Danen
Modified: 2014-03-15 00:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: phpMyAdmin 3.5.8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-15 00:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-04-24 17:42:16 EDT
In some PHP versions, the preg_replace() function can be tricked into executing arbitrary PHP code on the server. This is done by passing a crafted argument as the regular expression, containing a null byte. phpMyAdmin does not correctly sanitize an argument passed to preg_replace() when using the "Replace table prefix" feature, opening the way to this vulnerability.

This vulnerability can be triggered only by someone who logged in to phpMyAdmin, as the usual token protection prevents non-logged-in users to access the required form.

This is fixed via the following commits:

https://github.com/phpmyadmin/phpmyadmin/commit/dedd542cdaf1606ca9aa3f6f8f8adb078d8ad549
https://github.com/phpmyadmin/phpmyadmin/commit/ffa720d90a79c1f33cf4c5a33403d09a67b42a66


External References:

http://www.phpmyadmin.net/home_page/security/PMASA-2013-2.php
Comment 1 Vincent Danen 2013-04-24 17:51:08 EDT
Created phpMyAdmin tracking bugs for this issue

Affects: fedora-all [bug 956403]
Affects: epel-6 [bug 956404]
Comment 2 Vincent Danen 2013-04-24 17:51:12 EDT
Created phpMyAdmin3 tracking bugs for this issue

Affects: epel-5 [bug 956405]
Comment 3 Fedora Update System 2013-05-15 15:43:13 EDT
phpMyAdmin3-3.5.8.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-05-15 15:44:56 EDT
phpMyAdmin-3.5.8.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.